summaryrefslogtreecommitdiffstats
path: root/package/block-mount
diff options
context:
space:
mode:
authorcshore <cshore@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-02-28 01:46:24 +0000
committercshore <cshore@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-02-28 01:46:24 +0000
commit05009287902148c80fc95bcdee355e04d43d5352 (patch)
treea3de04d368c8d9d72ec1116b040a3b56ec3d2264 /package/block-mount
parent2d0a8e16f93257dafef398606a6b358f04ba88c1 (diff)
[package] block-mount,block-extroot: Modify mount.sh so that block-extroot mounts target /overlay as rootfs (use if is_rootfs is now deprecated) when block-extroot is installed, and as /tmp/overlay-disabled otherwise
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@25786 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/block-mount')
-rw-r--r--package/block-mount/files/mount.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/package/block-mount/files/mount.sh b/package/block-mount/files/mount.sh
index 583e1a5ca..ade39ad87 100644
--- a/package/block-mount/files/mount.sh
+++ b/package/block-mount/files/mount.sh
@@ -31,16 +31,23 @@ config_mount_by_section() {
found_device="$(libmount_find_device_by_id "$uuid" "$label" "$device" "$cfgdevice")"
if [ -n "$found_device" ]; then
- if [ -z "$find_rootfs" ] || [ "$find_rootfs" -eq 0 ] || [ "$is_rootfs" -eq 1 ]; then
+ if [ -z "$find_rootfs" ] || [ "$find_rootfs" -eq 0 ] || ( [ "$is_rootfs" -eq 1 ] || [ "$target" = "/" ] || [ "$target" = "/overlay" ] ); then
[ "$enabled_fsck" -eq 1 ] && {
grep -q "$found_device" /proc/swaps || grep -q "$found_device" /proc/mounts || {
libmount_fsck "$found_device" "$fstype" "$enabled_fsck"
}
}
- [ "$is_rootfs" -eq 1 ] && [ "$find_rootfs" -eq 1 ] && {
+ if [ "$find_rootfs" -eq 1 ]; then
+ if [ "$is_rootfs" -eq 1 ]; then
target=/overlay
- }
+ fi
+ else
+ if [ "$is_rootfs" -eq 1 ] || [ "$target" = "/overlay" ]; then
+ target=/tmp/overlay-disabled
+ fi
+ fi
+
config_create_mount_fstab_entry "$found_device" "$target" "$fstype" "$options" "$enabled"
grep -q "$found_device" /proc/swaps || grep -q "$found_device" /proc/mounts || {
[ "$enabled" -eq 1 ] && mkdir -p "$target" && mount "$target" 2>&1 | tee /proc/self/fd/2 | logger -t 'fstab'
@@ -48,8 +55,10 @@ config_mount_by_section() {
fi
fi
- [ "$is_rootfs" -eq 1 ] && [ "$find_rootfs" -eq 1 ] && {
+ [ "$find_rootfs" -eq 1 ] && {
+ [ "$target" = "/overlay" ] && {
rootfs_found=1
+ }
}
return 0
}